From: "Matt Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-arch/p7zip/
Date: Mon, 14 Mar 2016 03:14:16 +0000 (UTC) [thread overview]
Message-ID: <1457925227.91be02d7debfd41e0ceea02a7f07547779c29f98.prometheanfire@gentoo> (raw)
commit: 91be02d7debfd41e0ceea02a7f07547779c29f98
Author: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 14 03:13:47 2016 +0000
Commit: Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Mon Mar 14 03:13:47 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=91be02d7
app-arch/p7zip: bup
Package-Manager: portage-2.2.26
app-arch/p7zip/Manifest | 1 +
app-arch/p7zip/p7zip-15.14.ebuild | 161 ++++++++++++++++++++++++++++++++++++++
2 files changed, 162 insertions(+)
diff --git a/app-arch/p7zip/Manifest b/app-arch/p7zip/Manifest
index 9b0a188..6e258b4 100644
--- a/app-arch/p7zip/Manifest
+++ b/app-arch/p7zip/Manifest
@@ -1,3 +1,4 @@
DIST p7zip_15.09_src_all.tar.bz2 4048481 SHA256 8783acf747e210e00150f7311cc06c4cd8ecf7b0c27b4adf2194284cc49b4d6f SHA512 4f020b13632ef7a85aa8a98586b59bef2dde3c1cbebdbd17e01f1d09b2e13a56ecfe82546d7efc677c45df67456a71cfdb67826b53ebea4c0fb4878f20c2f6dd WHIRLPOOL 71d1cdb9b3b1208197b2c056670d057b00e9a5f80cf08b5914b5d25f2f6756d4cb53e5a000ec76b7b879f82302fca6d012a2cd397e8aa95ae4fc21fd620eb1ab
+DIST p7zip_15.14_src_all.tar.bz2 4147609 SHA256 b9b77450e98859454d39002f55ddc95a0705041ebc0a9bb49733ce2d9a7292d8 SHA512 3053647cbcb3b8efd7f41b6bc122e984b999d31720f9b22387c52ccfe8a71d73899b1fb3a269854fd43bc1ca656c7d53457aca1cb5e2c90a2d0fb8f084bdebc5 WHIRLPOOL 52a397e4ea15cdd4c68156a0c32d449be78469d5704e0d4bb644a813b583422b3d7b0741284974ca22d9ea99a303dfadeccc23d74a77cac0c9b51153bd61e24b
DIST p7zip_9.20.1_src_all.tar.bz2 3835235 SHA256 49557e7ffca08100f9fc687f4dfc5aea703ca207640c76d9dee7b66f03cb4782 SHA512 7bb8a276aaefc4a83364e45633c48527de44c6b1205344f3356db570582f30f81d82a94938c99a7ad193587b584cc1c03219c28249de40018bdaee6c3b2a022a WHIRLPOOL cb20f37d3f796931a9b330728aa7148afe98bbf8a49bb91bfd80e4667c16416206b23bf34298e9ec37825e8b43f92a5710f0cea1f974296d5c17aa2c7b0931f3
DIST p7zip_9.38.1_src_all.tar.bz2 3917925 SHA256 fd5019109c9a1bf34ad3257d37a6853eae8151ff50345f0a3ffba7d8c5fdb995 SHA512 f524ffae54e0d9563a509cc4b243e830d882a925e682eb2e15e2d19cb72c947fddecd72c8507d6c1538b997b240b0827046fc2fb4f5e3f7d49840257c92b9c04 WHIRLPOOL 6bad1cde056ab1e8db4079c0e649665fbc7e6b9a565261188bd0acaec6c583d8bd9425cb26d39315408d0180ba0be0069a77b704633cf05ec855220cb31f1c24
diff --git a/app-arch/p7zip/p7zip-15.14.ebuild b/app-arch/p7zip/p7zip-15.14.ebuild
new file mode 100644
index 0000000..8d7950b
--- /dev/null
+++ b/app-arch/p7zip/p7zip-15.14.ebuild
@@ -0,0 +1,161 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+WX_GTK_VER="3.0"
+
+inherit eutils multilib toolchain-funcs wxwidgets
+
+DESCRIPTION="Port of 7-Zip archiver for Unix"
+HOMEPAGE="http://p7zip.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${PN}_${PV}_src_all.tar.bz2"
+
+LICENSE="LGPL-2.1 rar? ( unRAR )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris"
+IUSE="doc kde rar +pch static wxwidgets abi_x86_x32"
+
+REQUIRED_USE="kde? ( wxwidgets )"
+
+RDEPEND="
+ kde? ( x11-libs/wxGTK:${WX_GTK_VER}[X] kde-base/kdelibs )
+ wxwidgets? ( x11-libs/wxGTK:${WX_GTK_VER}[X] )"
+DEPEND="${RDEPEND}
+ amd64? ( dev-lang/yasm )
+ abi_x86_x32? ( >=dev-lang/yasm-1.2.0-r1 )
+ x86? ( dev-lang/nasm )"
+
+S=${WORKDIR}/${PN}_${PV}
+
+src_prepare() {
+ epatch \
+ "${FILESDIR}"/${P}-CVE-2015-1038.patch
+
+ if ! use pch; then
+ sed "s:PRE_COMPILED_HEADER=StdAfx.h.gch:PRE_COMPILED_HEADER=:g" -i makefile.* || die
+ fi
+
+ sed \
+ -e 's:-m32 ::g' \
+ -e 's:-m64 ::g' \
+ -e 's:-pipe::g' \
+ -e "/^CXX=/s:g++:$(tc-getCXX):" \
+ -e "/^CC=/s:gcc:$(tc-getCC):" \
+ -e '/ALLFLAGS/s:-s ::' \
+ -e "/OPTFLAGS=/s:=.*:=${CXXFLAGS}:" \
+ -i makefile* || die
+
+ # remove non-free RAR codec
+ if use rar; then
+ ewarn "Enabling nonfree RAR decompressor"
+ else
+ sed \
+ -e '/Rar/d' \
+ -e '/RAR/d' \
+ -i makefile* CPP/7zip/Bundles/Format7zFree/makefile || die
+ rm -rf CPP/7zip/Compress/Rar || die
+ fi
+
+ if use abi_x86_x32; then
+ sed -i -e "/^ASM=/s:amd64:x32:" makefile* || die
+ cp -f makefile.linux_amd64_asm makefile.machine || die
+ elif use amd64; then
+ cp -f makefile.linux_amd64_asm makefile.machine || die
+ elif use x86; then
+ cp -f makefile.linux_x86_asm_gcc_4.X makefile.machine || die
+ elif [[ ${CHOST} == *-darwin* ]] ; then
+ # Mac OS X needs this special makefile, because it has a non-GNU linker
+ [[ ${CHOST} == *64-* ]] \
+ && cp -f makefile.macosx_64bits makefile.machine \
+ || cp -f makefile.macosx_32bits makefile.machine
+ # bundles have extension .bundle but don't die because USE=-rar
+ # removes the Rar directory
+ sed -i -e '/strcpy(name/s/\.so/.bundle/' \
+ CPP/Windows/DLL.cpp || die
+ sed -i -e '/^PROG=/s/\.so/.bundle/' \
+ CPP/7zip/Bundles/Format7zFree/makefile \
+ $(use rar && echo CPP/7zip/Compress/Rar/makefile) || die
+ elif use x86-fbsd; then
+ # FreeBSD needs this special makefile, because it hasn't -ldl
+ sed -e 's/-lc_r/-pthread/' makefile.freebsd > makefile.machine
+ fi
+
+ if use static; then
+ sed -i -e '/^LOCAL_LIBS=/s/LOCAL_LIBS=/&-static /' makefile.machine || die
+ fi
+
+ if use kde || use wxwidgets; then
+ need-wxwidgets unicode
+ einfo "Preparing dependency list"
+ emake depend
+ fi
+}
+
+src_compile() {
+ emake all3
+ if use kde || use wxwidgets; then
+ emake -- 7zG
+# emake -- 7zFM
+ fi
+}
+
+src_test() {
+ emake test test_7z test_7zr
+}
+
+src_install() {
+ # this wrappers can not be symlinks, p7zip should be called with full path
+ make_wrapper 7zr "/usr/$(get_libdir)/${PN}/7zr"
+ make_wrapper 7za "/usr/$(get_libdir)/${PN}/7za"
+ make_wrapper 7z "/usr/$(get_libdir)/${PN}/7z"
+
+ if use kde || use wxwidgets; then
+ make_wrapper 7zG "/usr/$(get_libdir)/${PN}/7zG"
+# make_wrapper 7zFM "/usr/$(get_libdir)/${PN}/7zFM"
+
+# make_desktop_entry 7zFM "${PN} FM" ${PN} "GTK;Utility;Archiving;Compression"
+
+ dobin GUI/p7zipForFilemanager
+ exeinto /usr/$(get_libdir)/${PN}
+# doexe bin/7z{G,FM}
+ doexe bin/7zG
+
+ insinto /usr/$(get_libdir)/${PN}
+ doins -r GUI/{Lang,help}
+
+ insinto /usr/share/icons/hicolor/16x16/apps/
+ newins GUI/p7zip_16_ok.png p7zip.png
+
+ if use kde; then
+ rm GUI/kde4/p7zip_compress.desktop || die
+ insinto /usr/share/kde4/services/ServiceMenus
+ doins GUI/kde4/*.desktop
+ dodir /usr/share/kservices5/ServiceMenus
+ for item in "${D}"/usr/share/kde4/services/ServiceMenus/*.desktop; do
+ item="$(basename ${item})"
+ dosym "/usr/share/kde4/services/ServiceMenus/${item}" "/usr/share/kservices5/ServiceMenus/${item}"
+ done
+ fi
+ fi
+
+ dobin contrib/gzip-like_CLI_wrapper_for_7z/p7zip
+ doman contrib/gzip-like_CLI_wrapper_for_7z/man1/p7zip.1
+
+ exeinto /usr/$(get_libdir)/${PN}
+ doexe bin/7z bin/7za bin/7zr bin/7zCon.sfx
+ doexe bin/*$(get_modname)
+ if use rar; then
+ exeinto /usr/$(get_libdir)/${PN}/Codecs/
+ doexe bin/Codecs/*$(get_modname)
+ fi
+
+ doman man1/7z.1 man1/7za.1 man1/7zr.1
+ dodoc ChangeLog README TODO
+
+ if use doc; then
+ dodoc DOC/*.txt
+ dohtml -r DOC/MANUAL/*
+ fi
+}
next reply other threads:[~2016-03-14 3:14 UTC|newest]
Thread overview: 64+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-03-14 3:14 Matt Thode [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-24 5:40 [gentoo-commits] repo/gentoo:master commit in: app-arch/p7zip/ Arthur Zamarin
2024-10-18 19:05 Arthur Zamarin
2024-10-13 13:35 Andreas Sturmlechner
2024-10-13 13:35 Andreas Sturmlechner
2024-10-13 13:35 Andreas Sturmlechner
2024-04-05 14:26 Sam James
2023-10-08 19:45 WANG Xuerui
2023-05-28 12:30 Joonas Niilola
2023-04-14 15:34 Matthew Thode
2023-04-14 15:34 Matthew Thode
2023-04-14 15:34 Matthew Thode
2023-04-14 15:34 Matthew Thode
2023-03-02 14:10 Matthew Thode
2023-03-01 18:48 Matthew Thode
2022-03-16 17:07 Sam James
2022-01-05 10:01 David Seifert
2021-04-25 9:31 Sam James
2021-04-25 9:30 David Seifert
2021-04-25 5:16 Sam James
2021-04-25 5:14 Sam James
2021-04-25 5:14 Sam James
2021-04-25 5:11 Sam James
2021-04-25 5:09 Sam James
2021-04-05 12:43 David Seifert
2021-04-05 2:31 Mike Gilbert
2021-03-27 16:04 Sam James
2021-01-06 12:52 Fabian Groffen
2020-08-28 3:36 Matthew Thode
2020-03-15 19:25 Matthew Thode
2020-01-23 17:25 Matthew Thode
2020-01-23 17:18 Matthew Thode
2019-05-06 20:39 Matthew Thode
2018-07-03 15:08 Matt Thode
2018-07-03 3:11 Aaron Bauman
2018-07-03 2:09 Matt Thode
2018-07-02 0:49 Thomas Deutschmann
2018-06-30 19:03 Sergei Trofimovich
2018-06-30 14:45 Sergei Trofimovich
2018-06-29 10:15 Jeroen Roovers
2018-06-29 6:52 Sergei Trofimovich
2018-06-18 18:31 Sergei Trofimovich
2018-03-12 1:05 Matt Turner
2018-03-12 1:05 Matt Turner
2018-03-04 17:07 Tobias Klausmann
2018-02-10 0:32 Thomas Deutschmann
2018-02-09 8:39 Agostino Sarubbo
2018-02-09 7:34 Sergei Trofimovich
2018-02-08 21:33 Sergei Trofimovich
2017-07-10 15:51 Alexis Ballier
2017-01-09 17:39 Matt Thode
2017-01-09 14:12 Jeroen Roovers
2016-11-19 13:55 Agostino Sarubbo
2016-11-19 13:53 Agostino Sarubbo
2016-11-15 14:53 Tobias Klausmann
2016-10-01 19:28 Matt Thode
2016-07-15 7:43 Lars Wendler
2016-05-13 8:41 Agostino Sarubbo
2016-04-10 2:19 Matt Thode
2016-03-14 6:34 Patrick Lauer
2016-02-26 16:47 Matt Thode
2016-02-25 17:22 Matt Thode
2015-10-29 8:20 Justin Lecher
2015-10-24 10:24 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1457925227.91be02d7debfd41e0ceea02a7f07547779c29f98.prometheanfire@gentoo \
--to=prometheanfire@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox